/***************************************************************************
 *   Copyright (C) 2005 by Armando Navarro-Vazquez                         *
 *   armando@linux                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kurl.h>
#include <kmessagebox.h>
#include <qfileinfo.h>
#include "kryonmrthumbcreator.h"
#include "spectralwidget.h"
#include <iostream>
extern "C"
{
  ThumbCreator *new_creator()
   {
     ThumbCreator* k= new KryoNMRThumbCreator();
      std::cout << "ThumbCreator" << k << std::endl;
     return new KryoNMRThumbCreator();
   }
};

KryoNMRThumbCreator::KryoNMRThumbCreator(){

   std::cout << "nmrthumbcreator" << std::endl;
  m_widget= new SpectralWidget();
  //m_widget->SetThumbnailed(true);

}

KryoNMRThumbCreator::~KryoNMRThumbCreator(){
}

/** create the thumb */
bool KryoNMRThumbCreator::create(const QString &path, int width, int height, QImage
 &img){
 
 //KUrl url(path);
  m_widget->OpenFile(path); 
  m_widget->GetImage(img,width,height);
  return true;

}

ThumbCreator::Flags KryoNMRThumbCreator::flags() const
{
    return (ThumbCreator::Flags) (ThumbCreator::None);
}

